## golang-github-xorcare-pointer 1.1.0+git20200211.75cc9bc

=== debian/changelog ===
golang-github-xorcare-pointer (1.1.0+git20200211.75cc9bc-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 17 Sep 2020 19:54:18 +0000

golang-github-xorcare-pointer (1.1.0+git20200211.75cc9bc-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 19 Apr 2020 19:24:27 +0200
