=== debian/control ===
Source: golang-github-xorcare-pointer
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any
Standards-Version: 4.5.0
Homepage: https://github.com/xorcare/pointer
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-xorcare-pointer
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-xorcare-pointer.git
XS-Go-Import-Path: github.com/xorcare/pointer
Testsuite: autopkgtest-pkg-go

Package: golang-github-xorcare-pointer-dev
Architecture: all
Depends: ${misc:Depends}
Description: for simplifying the creation of optional fields of basic type
 This package contains helper routines for simplifying the creation of
 optional fields of basic type.
 .
 This package is needed for grafana.
