## golang-github-xorcare-pointer 1.2.2

=== debian/changelog ===
golang-github-xorcare-pointer (1.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 17 Dec 2022 17:55:36 +0100

golang-github-xorcare-pointer (1.1.0+git20200211.75cc9bc-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 24 Nov 2022 14:37:42 +0000
