=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/xorcare/pointer
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-xorcare-pointer
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-xorcare-pointer.git
@@ -16,6 +16,7 @@
 Package: golang-github-xorcare-pointer-dev
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: for simplifying the creation of optional fields of basic type
  This package contains helper routines for simplifying the creation of
  optional fields of basic type.
